.aws_cli:
  variables:
    project_name: aws_cli
    project_path: dockerfiles/devtools/aws_cli
    ARTIFACTORY_PATH: devtools/aws_cli
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE/aws_cli/scan
    AUTO_VERSION: "true"
  only:
    changes:
      - dockerfiles/devtools/aws_cli/**/*

build:aws_cli:
  extends: 
    - .build-docker-image
    - .aws_cli
  stage: build_3
  needs: []

scan:aws_cli:
  extends: 
    - .container_scanning
    - .aws_cli
  needs: ["build:aws_cli"]

publish:aws_cli:
  extends: 
    - .promote-docker-image
    - .aws_cli
